org.mariadb.jdbc.internal.common.queryresults

## Class SelectQueryResult

- java.lang.Object
- - org.mariadb.jdbc.internal.common.queryresults.QueryResult
  - - org.mariadb.jdbc.internal.common.queryresults.SelectQueryResult

Direct Known Subclasses:
  CachedSelectResult, StreamingSelectResult

    public abstract class SelectQueryResult
    extends QueryResult

### Constructor Summary

Constructors
Constructor and Description
`SelectQueryResult()`

### Method Summary

Methods
`MySQLColumnInformation[]` `getColumnInformation()`
`String` `getMessage()`
`ResultSetType` `getResultSetType()`
`int` `getRowPointer()` gets the current row number
`abstract ValueObject` `getValueObject(int index)` gets the value object at position index, starts at 0
`short` `getWarnings()`
`abstract boolean` `isAfterLast()`
`abstract boolean` `isBeforeFirst()`
`void` `moveRowPointerTo(int i)` moves the row pointer to position i
`abstract boolean` `next()`

### Methods inherited from class org.mariadb.jdbc.internal.common.queryresults.QueryResult

`close, getRows, isClosed`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SelectQueryResult

    public SelectQueryResult()

### Method Detail

#### getColumnInformation

    public MySQLColumnInformation[] getColumnInformation()

Specified by:
  `getColumnInformation` in class `QueryResult`

#### getWarnings

    public short getWarnings()

Specified by:
  `getWarnings` in class `QueryResult`

#### getMessage

    public String getMessage()

Specified by:
  `getMessage` in class `QueryResult`

#### getResultSetType

    public ResultSetType getResultSetType()

Specified by:
  `getResultSetType` in class `QueryResult`

#### moveRowPointerTo

    public void moveRowPointerTo(int i)
                          throws SQLException

moves the row pointer to position i

Parameters:
  `i` - the position
Throws:
  `SQLException`

#### getRowPointer

    public int getRowPointer()
                      throws SQLException

gets the current row number

Returns:
  the current row number
Throws:
  `SQLException`

#### getValueObject

    public abstract ValueObject getValueObject(int index)
                                        throws NoSuchColumnException

gets the value object at position index, starts at 0

Parameters:
  `index` - the position, starts at 0
Returns:
  the value object at position index
Throws:
  `NoSuchColumnException` - if the column does not exist

#### next

    public abstract boolean next()
                          throws IOException,
                                 QueryException

Throws:
  `IOException`
  `QueryException`

#### isBeforeFirst

    public abstract boolean isBeforeFirst()

#### isAfterLast

    public abstract boolean isAfterLast()